Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface TestFinderQueue.Observer

Enclosing class:
  TestFinderQueue

    public static interface TestFinderQueue.Observer

This interface provides a means for TestFinder to report on events that might be of interest as it executes.

Method Summary
`void` | `done(java.io.File file)` A file has been read.
`void` | `done(TestDescription td)` A test description that was previously put in the test finder queue has been taken from the queue and passed back to the client caller.
`void` | `error(java.lang.String msg)` An error was reported by the test finder while reading a file.
`void` | `error(TestDescription td, java.lang.String msg)` An error was reported by the test finder while reading a file.
`void` | `flushed()` The queue of tests has been flushed.
`void` | `found(java.io.File file)` Another file which needs to be read has been found.
`void` | `found(TestDescription td)` A test description has been found.
`void` | `ignored(TestDescription td, TestFilter f)` A test description which was previously found, has been rejected by a test filter, and so has not been put in the queue of tests to be executed.
`void` | `reading(java.io.File file)` A file is being read.

Method Detail

### found

    void found(java.io.File file)

  Another file which needs to be read has been found.

  Parameters:
    `file` - the file which was found

### reading

    void reading(java.io.File file)

  A file is being read.

  Parameters:
    `file` - the file being read

### done

    void done(java.io.File file)

  A file has been read.

  Parameters:
    `file` - the file which was read

### found

    void found(TestDescription td)

  A test description has been found.

  Parameters:
    `td` - the test description which was found

### ignored

    void ignored(TestDescription td,
                 TestFilter f)

  A test description which was previously found, has been rejected by a test filter, and so has not been put in the queue of tests to be executed.

  Parameters:
    `td` - the test description which was rejected by the filter
    `f` - the filter which rejected the test

### done

    void done(TestDescription td)

  A test description that was previously put in the test finder queue has been taken from the queue and passed back to the client caller.

  Parameters:
    `td` - the test description which was taken from the queue

### flushed

    void flushed()

  The queue of tests has been flushed.

### error

    void error(java.lang.String msg)

  An error was reported by the test finder while reading a file.

  Parameters:
    `msg` - a detail message describing the error

### error

    void error(TestDescription td,
               java.lang.String msg)

  An error was reported by the test finder while reading a file.

  Parameters:
    `td` - the test description to which the error applies
    `msg` - a detail message describing the error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.